summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Roberto Neri <rneri@libero.it>2011-11-16 18:11:54 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-11-26 09:08:10 -0600
commit817bb0477162449857d35d7a6e5ca2dab0bd376e (patch)
treec4fdcf099b4245de8563fdb5c2f8395f3c628b7b /system
parentfd229debfec65d845252765f6c6a422779423abe (diff)
downloadslackbuilds-817bb0477162449857d35d7a6e5ca2dab0bd376e.tar.gz
slackbuilds-817bb0477162449857d35d7a6e5ca2dab0bd376e.tar.xz
system/zerofree: Added (fills free blocks in an ext2/3/4 filesystem with zeroes)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/zerofree/README7
-rw-r--r--system/zerofree/slack-desc19
-rw-r--r--system/zerofree/zerofree.SlackBuild70
-rw-r--r--system/zerofree/zerofree.info10
4 files changed, 106 insertions, 0 deletions
diff --git a/system/zerofree/README b/system/zerofree/README
new file mode 100644
index 0000000000..14a43ae30e
--- /dev/null
+++ b/system/zerofree/README
@@ -0,0 +1,7 @@
+Zerofree is a utility which scans the free blocks in an ext2/3/4
+filesystem and fills any non-zero blocks with zeroes.
+
+This is useful if you have an ext2/3/4 virtual disk image
+(e.g. VirtualBox' .vdi) that you wish to compact.
+
+See project homepage for information and usage.
diff --git a/system/zerofree/slack-desc b/system/zerofree/slack-desc
new file mode 100644
index 0000000000..fad57ca4d9
--- /dev/null
+++ b/system/zerofree/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zerofree: zerofree (fills free blocks in an ext2/3/4 filesystem with zeroes)
+zerofree:
+zerofree: Zerofree is a utility which scans the free blocks in an ext2/3/4
+zerofree: filesystem and fills any non-zero blocks with zeroes.
+zerofree: This is useful if you have an ext2/3/4 virtual disk image
+zerofree: (e.g. VirtualBox' .vdi) that you wish to compact.
+zerofree: See project homepage for information and usage.
+zerofree:
+zerofree:
+zerofree: Homepage: http://intgat.tigress.co.uk/rmy/uml/index.html
+zerofree:
diff --git a/system/zerofree/zerofree.SlackBuild b/system/zerofree/zerofree.SlackBuild
new file mode 100644
index 0000000000..533798aba0
--- /dev/null
+++ b/system/zerofree/zerofree.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for zerofree
+
+# Written by Roberto Neri <rneri@libero.it>
+
+PRGNAM=zerofree
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# No ./configure or "make install" provided
+make
+
+strip --strip-unneeded $PRGNAM 2> /dev/null
+
+mkdir -p $PKG/usr/sbin
+cp -a $PRGNAM $PKG/usr/sbin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/zerofree/zerofree.info b/system/zerofree/zerofree.info
new file mode 100644
index 0000000000..88b3c9ed03
--- /dev/null
+++ b/system/zerofree/zerofree.info
@@ -0,0 +1,10 @@
+PRGNAM="zerofree"
+VERSION="1.0.1"
+HOMEPAGE="http://intgat.tigress.co.uk/rmy/uml/index.html"
+DOWNLOAD="http://intgat.tigress.co.uk/rmy/uml/zerofree-1.0.1.tgz"
+MD5SUM="a8c772fdd134448f25ab4e7e12004595"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
+APPROVED="Erik Hanson"